%define name	libjournaline
%define releaseversion 20040318
%define libversion 0
%define version	%{libversion}.%{releaseversion}
%define release	2

Summary:	Qt Widgets for Technical applications (Qwt)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://sourceforge.net/projects/qwt
Group:		System/Libraries
Source:		WinFhGJourLib.zip
Patch:		journaline-lib.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: 	zlib-devel
Requires:	zlib
Packager: Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>

%description
NewsService Journaline is a textual data application optimized for digital broadcast systems like DRM (Digital Radio Mondiale) and DAB (Digital Audio  Broadcasting).

This library helps decoding Journaline.

Note that this library is free only for non-commercial use.
To use the 'NewsService Journaline(R) Decoder' software for
COMMERCIAL purposes, please contact Fraunhofer IIS for a
commercial license (see below for contact information)!

Contact:
    Fraunhofer IIS, Department 'Broadcast Applications'
    Am Wolfsmantel 33, 91058 Erlangen, Germany
    http://www.iis.fraunhofer.de/dab
    mailto:bc-info@iis.fraunhofer.de
 

%prep
%setup -n %{name}-%{version} -c -T
unzip %_sourcedir/WinFhGJourLib.zip
%patch -p0

%build

# build the library
cd WinFhGJourLib/journaline_%{releaseversion}
make libfhgjournaline.so
 
%install

rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_includedir}/journaline
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%_defaultdocdir
mkdir -p %{buildroot}/%_defaultdocdir/journaline

for n in NML.h newssvcdec.h dabdatagroupdecoder.h; do
    install -m 644 WinFhGJourLib/journaline_%{releaseversion}/$n %{buildroot}/%{_includedir}/journaline
done

# install, preserving links
chmod 755 WinFhGJourLib/journaline_%{releaseversion}/libfhgjournaline.so.%{libversion}
for n in WinFhGJourLib/journaline_%{releaseversion}/libfhgjournaline.so* ; do
    cp -d $n %{buildroot}/%{_libdir}
done

for n in Journaline_Overview_1.3_%{releaseversion}.pdf LICENSE README; do
    install -m 644 WinFhGJourLib/journaline_%{releaseversion}/$n %{buildroot}/%_defaultdocdir/journaline
done

install -d %{buildroot}/%_defaultdocdir/journaline/html
for n in *{html,js,png,css} formula.repository; do
    install -m 644 WinFhGJourLib/journaline_%{releaseversion}/html/$n %{buildroot}/%_defaultdocdir/journaline/html
done

# the %%post and %%postun directives are superfluous on SuSE, but harmless
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc %_defaultdocdir/*
%{_libdir}/libfhgjournaline.*
%{_includedir}/journaline/*

%changelog
* Tue Jan 24 2006 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- fix "License:" tag ("Copyright:" is not supported anymore)
* Sat Apr 17 2004 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- first attempt

# EOF
